> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /cran/packages/downloads

> Get CRAN package download counts for a given period

**Price:** 1 credit



## OpenAPI

````yaml /openapi/package-registries.json post /api/cran/packages/downloads
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/cran/packages/downloads:
    post:
      tags:
        - /cran
      summary: /cran/packages/downloads
      description: |-
        Get CRAN package download counts for a given period

        **Price:** 1 credit
      operationId: __api_cran_packages_downloads_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CranPackageDownloadsPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CranPackageDownloads'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CranPackageDownloadsPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        package:
          type: string
          minLength: 1
        period:
          $ref: '#/components/schemas/CranDownloadPeriod'
          default: last-month
      type: object
      required:
        - package
    CranPackageDownloads:
      properties:
        '@type':
          type: string
          default: CranPackageDownloads
        package:
          type: string
        download_count:
          type: integer
          default: 0
        start:
          type: string
          default: ''
        end:
          type: string
          default: ''
        period:
          type: string
          default: ''
      type: object
      required:
        - package
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    CranDownloadPeriod:
      type: string
      enum:
        - last-day
        - last-week
        - last-month
        - last-year
        - grand-total
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````